# glsrcbin

Infrastructure to process GL textures

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──glsrcbin

## Implemented interfaces

    GstChildProxy

## Factory details

Authors: – Matthew Waters <matthew@centricular.com></matthew@centricular.com>

Classification: – `Source/Video`

Rank – none

Plugin – opengl

Package – GStreamer Base Plug-ins

## Pad Templates

### `src`

    video/x-raw(ANY):

Presence – always

Direction – src

Object type – GstPad

## Signals

### create-element

    GstElement *
    create_element_callback (GstElement * object,
                             gpointer udata)

    def create_element_callback (object, udata):
        #python callback for the 'create-element' signal

    function create_element_callback(object: GstElement * object, udata: gpointer udata): {
        // javascript callback for the 'create-element' signal
    }

Will be emitted when we need the processing element/s that this bin will use

Parameters:

`object` –

the glsrcbin

`udata` –
No description available
Returns (GstElement *) –

a new GstElement

Flags: Run Last

## Properties

### src

    “src” GstElement *

The GL src chain to use

Flags : Read / Write

The results of the search are